libopus-dev_1.3-1+b1_i386.deb


Advertisement

Description

libopus-dev - Opus codec library development files

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libopus-dev_1.3-1+b1_i386.deb
Package name libopus-dev
Package version 1.3
Package release 1+b1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.opus-codec.org
License -
Maintainer Ron Lee <ron@debian.org>
Download size 235.33 KB
Installed size 785.00 KB

Alternatives

Package Version Architecture Repository
libopus-dev_1.3-1+b1_amd64.deb 1.3 amd64 Debian Main
libopus-dev - - -

Requires

Name Value
libopus0 = 1.3-1+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libopus-dev_1.3-1+b1_i386.deb
Source Package opus

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libopus-dev deb package:
    # sudo apt-get install libopus-dev

Files

Path
/usr/include/opus/opus.h
/usr/include/opus/opus_defines.h
/usr/include/opus/opus_multistream.h
/usr/include/opus/opus_projection.h
/usr/include/opus/opus_types.h
/usr/lib/i386-linux-gnu/libopus.a
/usr/lib/i386-linux-gnu/libopus.so
/usr/lib/i386-linux-gnu/pkgconfig/opus.pc
/usr/share/doc/libopus-dev/changelog.Debian.gz
/usr/share/doc/libopus-dev/changelog.Debian.i386.gz
/usr/share/doc/libopus-dev/copyright

Changelog

2018-12-18 - Ron Lee <ron@debian.org>
opus (1.3-1) unstable; urgency=medium
* Enable support for ambisonics coding using mappings 2 and 3.
* Use wideband encoding down to 9 kb/s.
* Retrain RNN classifier weights to include reverberated speech.
* Drop the explicit --enable-hardening from d/rules, it's enabled by default
upstream now.
2018-05-18 - Ron Lee <ron@debian.org>
opus (1.3~beta+20180518-1) unstable; urgency=medium
* Fix the CELT input NaN test.
2018-05-17 - Ron Lee <ron@debian.org>
opus (1.3~beta+20180516-1) unstable; urgency=medium
* Snapshot from 652c4559f593d3aad78bd5c85a216eeae7859429 as a preview of
patches pending for the 1.3 release.  The main motivation for doing this
now is to pull in the fix for the PLC regression introduced just before
1.2~alpha2, which Closes: #898690, and to get some broader testing on the
new hardening checks before flipping the switch to enable those by default
upstream.
* Fix celt_pitch_xcorr() ARM jump table compiling error for a bug introduced
in 1.2-rc1.
* Better rate allocation for stereo SILK in hybrid mode.
* Add RNN for VAD and speech/music classification.
* Fixing bandwidth detection for 24 kHz analysis.
* Enable RFC 8251 changes by default.
* Better tuning for low-bitrate music.
* Don't set _FORTIFY_SOURCE and -fstack-protector as part of the packaging
anymore, the upstream build system will add them where they are supported
and needed now.
* Build with --enable-hardening, which isn't related to the compile options
above, but instead includes additional opus-specific runtime sanity checks
which are cheap and certain enough to use in production builds.
* Use dh compat 9, not because it actually brings anything new which we need
here, but it hushes the increasingly insistent warnings about deprecated
compat levels, and is a baseline supported by all of the releases we still
need to be able to support.  I'm going to say this Closes: #810258, since
the rest of the 'modernisation' there mostly isn't helpful.  We've already
been running the tests since the very first release, we release directly
from upstream git and maintain upstream patches there, so format 3(quilt)
adds nothing but pain, and we have upstream build and install targets that
are designed to cleanly separate the -arch specific and -indep components,
so regressing to make those codependent isn't very appealing either.  It
would have also broken support for building where m-a wasn't supported,
though that's less of a problem today than it was previously.
2017-09-28 - Ron Lee <ron@debian.org>
opus (1.2.1-1) unstable; urgency=medium
* Fixes a bug in surround encoding causing very bad quality on loud signals
beyond a certain amplitude.
* Speech quality improvements especially in the 12-24 kbit/s range.
* Music quality improvements in the 32-48 kb/s range.
* More aggressive use of wider speech bandwidth, including fullband speech
starting at 14 kbit/s.
* Improved VBR encoding for hybrid mode.
* SILK CBR improvements.
* DTX support for CELT mode.
* Support for directly encoding packets up to 120 ms.
* Improves quality on files with powerful tones that cause MDCT leakage.
* Fixes for speech/music detection at the very beginning of files.
* Fixes an issue where the encoder can misdetect that the signal is SWB
instead of FB, lowpassing the signal.

See Also

Package Description
libopus-doc_1.3-1_all.deb libopus API documentation
libopus-ocaml-dev_0.1.3-1_i386.deb OCaml interface to the opus library -- development files
libopus-ocaml_0.1.3-1_i386.deb OCaml interface to the opus library -- runtime files
libopus0_1.3-1+b1_i386.deb Opus codec runtime library
libopusfile-dev_0.9+20170913-1_i386.deb High-level API for basic manipulation of Ogg Opus audio streams
libopusfile-doc_0.9+20170913-1_all.deb libopusfile API documentation
libopusfile0_0.9+20170913-1_i386.deb High-level API for basic manipulation of Ogg Opus audio streams
liborc-0.4-0_0.4.30-1_i386.deb Library of Optimized Inner Loops Runtime Compiler
liborc-0.4-dev-bin_0.4.30-1_i386.deb Library of Optimized Inner Loops Runtime Compiler (development tools)
liborc-0.4-dev_0.4.30-1_i386.deb Library of Optimized Inner Loops Runtime Compiler (development headers)
liborc-0.4-doc_0.4.30-1_all.deb Library of Optimized Inner Loops Runtime Compiler (documentation)
liborcania-dev_1.2.9-5_i386.deb library for angharad programs, development files
liborcania1.2_1.2.9-5_i386.deb library for angharad programs
liborcus-0.14-0_0.14.1-6_i386.deb library for processing spreadsheet documents
liborcus-bin_0.14.1-6_i386.deb library for processing spreadsheet documents - binaries
Advertisement
Advertisement